Bug 740920 - user.getDetails last_login_date results do not reflect SSO logins
Summary: user.getDetails last_login_date results do not reflect SSO logins
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API
Version: RHN Stable
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: rhn-dev-list
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 19:21 UTC by Christopher J Suleski
Modified: 2018-12-04 14:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 11:43:42 UTC


Attachments (Terms of Use)
Reproducer script for API call (606 bytes, application/octet-stream)
2011-09-23 19:22 UTC, Christopher J Suleski
no flags Details

Description Christopher J Suleski 2011-09-23 19:21:52 UTC
Description of problem:
Using the RHN Hosted user.getDetails API call to get user information, the customer has found (and we have verified) that logins via SSO to the RHN web site do not update this date. Logins via the API do. The SSO team has verified that they record the logins on their end.
 
Version-Release number of selected component (if applicable):
Current.

How reproducible:
Always.

Steps to Reproduce:
1. Use user.getDetails against Hosted for a particular user (see attached script) and record the last login date given
2. Log that user into the RHN website via SSO
3. Run script again and notice the last login date was not updated.
  
Actual results:
Last login info is not updated.

Expected results:
last_login data to be reported regardless of how the user logs in. 

Additional info:
If I look up my fellow TAM's "rhn-support-jnevill" account, the API returns the last login date of "11/17/10 4:03:02 PM EST". He has logged into the RHN web site this morning, that login is not reflected in the API results.

Comment 1 Christopher J Suleski 2011-09-23 19:22:28 UTC
Created attachment 524676 [details]
Reproducer script for API call

Comment 2 Sebastian Skracic 2011-10-06 11:43:42 UTC
In the light of upcoming architectural changes, RHN will no longer have access to last_login data.  Therefore, the "last_login_date" field in the output data will no longer be present.

Comment 3 Christopher J Suleski 2011-10-06 16:13:55 UTC
Understood. Is there any alternative way for customer's to query this information? My customer wants to use this to deactivate inactive accounts within their organization.

Comment 4 Sebastian Skracic 2011-10-12 09:35:36 UTC
(In reply to comment #3)
> Understood. Is there any alternative way for customer's to query this
> information? My customer wants to use this to deactivate inactive accounts
> within their organization.

In RHN definitely no.  Owner of this data and the process is SSO, and AFAIK there's no public API there.


Note You need to log in before you can comment on or make changes to this bug.